import request from '@/utils/request'

// 查询客户朋友圈互动数据列表
export function listFriendComments(query) {
  return request({
    url: '/qw/friendComments/list',
    method: 'get',
    params: query
  })
}

// 查询客户朋友圈互动数据详细
export function getFriendComments(id) {
  return request({
    url: '/qw/friendComments/' + id,
    method: 'get'
  })
}

// 新增客户朋友圈互动数据
export function addFriendComments(data) {
  return request({
    url: '/qw/friendComments',
    method: 'post',
    data: data
  })
}

// 修改客户朋友圈互动数据
export function updateFriendComments(data) {
  return request({
    url: '/qw/friendComments',
    method: 'put',
    data: data
  })
}

// 删除客户朋友圈互动数据
export function delFriendComments(id) {
  return request({
    url: '/qw/friendComments/' + id,
    method: 'delete'
  })
}

// 导出客户朋友圈互动数据
export function exportFriendComments(query) {
  return request({
    url: '/qw/friendComments/export',
    method: 'get',
    params: query
  })
}